ubuntu/+source/hplip:ubuntu/oneiric-devel

Last commit made on 2011-12-05
Get this branch:
git clone -b ubuntu/oneiric-devel https://git.launchpad.net/ubuntu/+source/hplip
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/oneiric-devel
Repository:
lp:ubuntu/+source/hplip

Recent commits

3a6b8d8... by Till Kamppeter on 2011-12-01

Import patches-unapplied version 3.11.7-1ubuntu3.1 to ubuntu/oneiric-proposed

Imported using git-ubuntu import.

Changelog parent: 519d2cea004ef3301b8f0f1aaffbdd8203e53b85

New changelog entries:
  * debian/patches/hpcups-top-margins-not-respected.dpatch: Reverted upstream
    change which caused a regression in handling the upper margin by monochrome
    laser printers in hpcups (LP: #890684, Red Hat bug #738089).

519d2ce... by Till Kamppeter on 2011-09-27

Import patches-unapplied version 3.11.7-1ubuntu3 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: c02474979cb3f6543594e5a659fd4767452e419d

New changelog entries:
  * debian/patches/hp-systray-make-menu-title-visible-in-sni-qt-indicator.dpatch:
    Simplified the construction of the title line of the hp-systray applet
    menu, so that the applet-to-indicator converter sni-qt also imports this
    title line (at least the text of it). Thanks to Aurelien Gateau for this
    patch.
  * debian/patches/hp-systray-make-menu-appear-in-sni-qt-indicator-with-kde.dpatch:
    Make the menu of the hp-systray applet appearing when the applet is
    converted to an indicator applet by sni-qt and put into the notification
    area of KDE (LP: #857929).

c024749... by Till Kamppeter on 2011-09-23

Import patches-unapplied version 3.11.7-1ubuntu2 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 90009ffb88c876e601fbb6d7f0b9a7205444e6f7

New changelog entries:
  * debian/patches/hpfax-bug-function-used-before-importing-log.dpatch:
    The hpfax CUPS backend uses its function bug() (which in turnuses log())
    before log() gets imported (with base.g). Made use of log() in bug()
    optional (LP: #560849).

90009ff... by Till Kamppeter on 2011-09-22

Import patches-unapplied version 3.11.7-1ubuntu1 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 66d2a57f2b766004a56fadb0ba8b673dd1d45979

New changelog entries:
  * debian/patches/mdns-py-typo.dpatch: Fixed typo in code (LP: #757899).

66d2a57... by Mark Purcell on 2011-09-02

Import patches-unapplied version 3.11.7-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0af6d70008996b735871d999ef91f92e8c79bbce

New changelog entries:
  * New Upstream Release
  * Fixes "please replace deprecated python-support with dh_python2"
    3.11.7-0ubuntu2 by Steve (Closes: #637268)
  * debian/patches/mdns-py-network-printer-search-key-error.dpatch:
    In some cases a search of network printers with the hp-setup utility
    crashed with a key error (LP: #519430).
  * debian/control, debian/rules: Use new debhelper dh_pyppd to compress the
    PPD files.
  * debian/hpijs.ppd-updater, debian/hplip-cups.ppd-updater,
    debian/hplip.ppd-updater, debian/hpijs-ppds.ppd-updater: Added data files
    to trigger the update of the PPD files of existing print queues by CUPS
    and to tell CUPS which PPD files to use for the update and how to match
    them with the PPDs of the existing queues.
  * debian/hplip.postinst: Removed the repeated code for updating the PPD
    files of existing print queues. This code is now centralized in the
    cups package, as a trigger.
  * debian/hpijs.postinst, debian/hplip-cups.postinst,
    debian/hpijs-ppds.postinst: Removed the post-install scripts which only
    contain the code for updating the PPDs of existing print queues.
  * debian/hpijs.install, debian/hplip-cups.install, debian/hplip.install,
    debian/hpijs-ppds.install, debian/rules: Install the *.ppd-updater
    file of each printer driver/PPD package in the /usr/share/cups/ppd-updaters
    directory.
  * debian/control: Removed the dependency on cups-client from the printer
    driver/PPD packages, as we do not call the command line utilities of CUPS
    in the post-install scripts any more. Also removed the dependency on CUPS
    from the hpijs and hpijs-ppds packages.
  * debian/patches/cups-1.5.0-compatibility.dpatch: directly include
    cups/ppd.h, for compatibility with cups 1.5.0.
  * switch from the deprecated python-support to dh_python2.
  * New upstream release
     o Fixed missing leading "/" in /bin/sh call in 56-hpmud_support.rules
       (LP: #795759).
     o Added support for: HP DeskJet 3050A J611 series, LaserJet 100 Color
       MFP M175, LaserJet Professional M1216nfh MFP, M1219nf MFP.
     o Bug fixes.
  * debian/patches/udev-rules-use-attrs-not-sysfs-and-hp-mkuri-call-fix.dpatch:
    Regenerated.
  * debian/patches/hplip-syslog-fix-debug-messages-to-error.dpatch: Debug
    messages were reported as errors and so cluttered the syslog (LP: #816763).
  * debian/rules: Added "-dNOINTERPOLATE" to all Ghostscript command lines
    defined in the HPLIP package: PPD generator hpijs.drv for HPIJS,
    ready-made PPDs for HPIJS (hpijs-ppds package), Fax PPDs, pstotiff
    CUPS filter. This makes the page rendering by Ghostscript significantly
    faster.

0af6d70... by Mark Purcell on 2011-07-16

Import patches-unapplied version 3.11.5-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2e4df3f3cdd8e64e5f8bdb18bc638aad010e1b79

New changelog entries:
  [ Till Kamppeter ]
  * debian/control: Build-Depend on libjpeg-dev instead of libjpeg62-dev,
    so that the package also builds with libjpeg8 (Closes: #634030).
  [ Mark Purcell ]
  * Ack NMU - Thanks Luk
    - Fix "diff for NMU version 3.11.5-1.1" (Closes: #631008)

2e4df3f... by Luk Claes on 2011-06-19

Import patches-unapplied version 3.11.5-1.1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f9139aa894d91b3f001df313ad75bf2129137d0b

New changelog entries:
  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621591).
  * Add missing '/' in bin/sh calls (Closes: #630648, #600673).

f9139aa... by Mark Purcell on 2011-05-27

Import patches-unapplied version 3.11.5-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 63869407f2a200c2672269c033a500bb5a258b1e

New changelog entries:
  * New Upstream Release
  * Updated Homepage:
  * New upstream release
     o Added LEDM ADF Scan support
     o Added LEDM Wireless support
     o "/cupsInteger0 <PCL page size number>" is added to the PageSize option
       of the hpcups driver, not only in PageRegion (Upstream fix for Debian
       bug #518227, LP: #405116, Red Hat bug #518756).
     o Fixed HP Laserjet 1020 printing negative images and photos (LP: #754383).
     o ADF now recognised on HP Officejet Pro 8500 A910a (LP: #776509).
     o Added new option "Installed Cartridges" to enable users to select
       correct installed cartridges for printing (Partial upstream fix for
       LP: #235399, currently only applied to the hpcups driver, for the hpijs
       driver we continue with the Debian/Ubuntu patch).
     o Margin issues fixed on HP OfficeJet 7500 E910, 6500 e710n-z, LaserJet
       m1319f MFP
     o Removed scan icon in toolbox for HP Color LaserJet CM4540 MFP (scanner
       is network-only).
     o Fixed "Download Firmware" link in Action tab with HP LaserJet P1566.
     o Redundant PostScript PPDs are removed.
     o Added support for: HP Designjet T790ps 24in/44in, T1300 Postscript,
       LaserJet M4555 MFP, LaserJet Professional m1214nfh MFP
  * debian/patches/add-lidil-two-cartridge-modes.dpatch: Adapted to the partial
    upstream fix.
  * debian/patches/workaround-sf-server-bug-for-plugin-index-download.dpatch:
    Removed, fixed upstream.
  * debian/rules: Removed modification of the PPD generator for hpcups, as
    the missing "/cupsInteger0 <PCL page size number>" in the PostScript code
    of the PageSize option is fixed upstream.
  * debian/patches/large-sizes-borderless-on-photosmart-pro-b-series.dpatch:
    The HP PhotoSmart Pro B 8xxx printers are capable of borderless printing
    on all paper sizes including the large formats. The HPLIP-supplied PPD
    allowed borderless only up to Legal size (LP: #787580).
  * debian/patches/more-user-friendly-choice-names-for-installed-cartridges.dpatch:
    Make the menu entry strings for the "Installed Cartridges" option (on LIDIL
    printers) more user-friendly.

6386940... by Mark Purcell on 2011-04-15

Import patches-unapplied version 3.11.1-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: a7b78c031b5b546781eba112dbc0c7647d2e1aff

New changelog entries:
  [ Till Kamppeter ]
  * debian/rules: Modified PPD generator for hpcups so that the PostScript
    code for the "PageSize" option also sets the PCL paper size
    ("/cupsInteger0 XX") and not only PageRegion (Closes: #518227,
    LP: #405116, Red Hat bug #518756).
  [ Mark Purcell ]
  * Make BinNMU safe
  * hplip Depends: libsane-hpaio (= ${hplip:binary:Version})
    - Fixes "depends on libsane-hpaio 3.11.1-2 instead of 3.11.1-2+b1"
    (Closes: #622598)
  * hplip-gui Depends: hplip (>= ${hplip:source:Version})
    - Fixes "binNMU is not installable" (Closes: #622602)
  * hplip-ppds Depends: hpijs (>= ${hpijs:source:Version})
    - Fixes "Uninstallable due to not binNMU safe" (Closes: #622596)
  * debian/patches/workaround-sf-server-bug-for-plugin-index-download.dpatch:
    In order to download the proprietary plug-in (firmware files, driver
    add-ons), the "hp-plugin" utility downloads an index file from SourceForge.
    Due to software changes at SourceForge which introduced a bug, Python's
    urllib is not able any more to download this file, making the plug-in
    download via "hp-plugin" impossible. HP has quickly released HPLIP 3.11.3a
    which works around the problem by using the command line utility "wget".
    This patch is a backport of the workaround (LP: #740140).
  * debian/control: Let hplip depend on wget. wget is needed for the plugin
    download now.
  * debian/rules: Modified PPD generator for hpcups so that the PostScript
    code for the "PageSize" option also sets the PCL paper size
    ("/cupsInteger0 XX") and not only PageRegion (Closes: #518227,
    LP: #405116, Red Hat bug #518756).
  * debian/control, debian/rules, debian/local/pyppd: Use external pyppd
    package for the compression of the PostScript PPDs.

a7b78c0... by Mark Purcell on 2011-02-20

Import patches-unapplied version 3.11.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b6d00bab346f2e1a3320eebe8d7babdd690a66ee

New changelog entries:
  * Upload to unstable
    - Fixes "[hplip] New upstream version" (Closes: #613295)
  * Drop obsolete 00patch-opts "patch: invalid option -- 'U'" (Closes: #612646)
  * kdeprint no longer Depends: (Closes: #608947)
  * "ppd" included in description" (Closes: #608836)
  * Fixes "sane" lowercase in extended description" (Closes: #591919)